import request from '@/utils/request'

const preUrl = "/repair/so"

// 采购单\领料单 新增
export function createRepairSo(data){
  return request({
    url: preUrl + "/create",
    method: "post",
    data
  })
}

// 分页
export function getRepairSoPage(params){
  return request({
    url: preUrl + "/page",
    method: "get",
    params
  })
}

// 作废
export function voidSo(data){
  return request({
    url: preUrl + "/void",
    method: "post",
    data
  })
}

// 查看单据
export function getRepairSoById(id){
  return request({
    url: preUrl + "/get?id=" + id,
    method: "get"
  })
}
